summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-11-22 11:48:32 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-11-22 11:48:32 +0000
commitefed6cdc510e082a9fa5885f2846337bf86573b6 (patch)
treefdb8029a5dcc191bd8b3cae1fb66563b686ce8e9
parentbe3bdc95f90dfb54ba309448d2897213109477c5 (diff)
net-print/lexmark-upd-ppd : import from gentoo, fix manifest
-rw-r--r--metadata/md5-cache/net-print/lexmark-upd-ppd-1.0.0.20210304-r111
-rw-r--r--metadata/pkg_desc_index1
-rw-r--r--net-print/lexmark-upd-ppd/Manifest1
-rw-r--r--net-print/lexmark-upd-ppd/lexmark-upd-ppd-1.0.0.20210304-r1.ebuild45
4 files changed, 58 insertions, 0 deletions
diff --git a/metadata/md5-cache/net-print/lexmark-upd-ppd-1.0.0.20210304-r1 b/metadata/md5-cache/net-print/lexmark-upd-ppd-1.0.0.20210304-r1
new file mode 100644
index 00000000..b2097715
--- /dev/null
+++ b/metadata/md5-cache/net-print/lexmark-upd-ppd-1.0.0.20210304-r1
@@ -0,0 +1,11 @@
+DEFINED_PHASES=install prepare
+DESCRIPTION=Lexmark universal printer driver PPDs
+EAPI=8
+HOMEPAGE=https://www.lexmark.com/en_us/support/universal-print-driver.html
+KEYWORDS=~amd64 ~x86
+LICENSE=Lexmark-EU2-0111
+RDEPEND=>=net-print/cups-1.4 net-dns/avahi
+RESTRICT=mirror
+SLOT=0
+SRC_URI=https://downloads.lexmark.com/downloads/drivers/Lexmark-UPD-PPD-Files.tar.Z -> lexmark-upd-ppd-1.0.0.20210304.tar.Z
+_md5_=c4dff075dcc06c0f13aafd692760e910
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index c79034f7..234d6fba 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -35,6 +35,7 @@ media-tv/sopcast 3.2.6-r3: SopCast free P2P Internet TV binary
media-video/guvcview 2.0.6-r10: Simple Qt5 or GTK+3 interface for capturing and viewing video from v4l2 devices
net-libs/libnm-glib 1.18.10-r2: Legacy NetworkManager glib and util libraries
net-libs/webkit-gtk 2.36.7-r1: Open source web browser engine
+net-print/lexmark-upd-ppd 1.0.0.20210304-r1: Lexmark universal printer driver PPDs
net-wireless/broadcom-sta 6.30.223.271-r4: Broadcom's IEEE 802.11a/b/g/n hybrid Linux device driver
sys-apps/baselayout 2.8-r1: Filesystem baselayout and init scripts
sys-apps/firetools 0.9.46-r1: Graphical user interface of app-emulation/firejail
diff --git a/net-print/lexmark-upd-ppd/Manifest b/net-print/lexmark-upd-ppd/Manifest
new file mode 100644
index 00000000..bc5f9d2f
--- /dev/null
+++ b/net-print/lexmark-upd-ppd/Manifest
@@ -0,0 +1 @@
+DIST lexmark-upd-ppd-1.0.0.20210304.tar.Z 4556832 BLAKE2B 6372a1d08c33397e8926564c831d4960b50849cf3dad7ac57610377e628f5099ae397567449a5ddaf61639b6fbccaa461e90192ef8a7eb5ec170b1fce82656e8 SHA512 10e4f6e719b13df49d70282fe4e3e0b4c6dd6402921d4fa6192768a014c22f704777ed41c4c18cffc32c348542130ca0e05f4a4052ebd5c66256853ea38e8afd
diff --git a/net-print/lexmark-upd-ppd/lexmark-upd-ppd-1.0.0.20210304-r1.ebuild b/net-print/lexmark-upd-ppd/lexmark-upd-ppd-1.0.0.20210304-r1.ebuild
new file mode 100644
index 00000000..cd7b80b6
--- /dev/null
+++ b/net-print/lexmark-upd-ppd/lexmark-upd-ppd-1.0.0.20210304-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Lexmark universal printer driver PPDs"
+HOMEPAGE="https://www.lexmark.com/en_us/support/universal-print-driver.html"
+SRC_URI="https://downloads.lexmark.com/downloads/drivers/Lexmark-UPD-PPD-Files.tar.Z -> ${P}.tar.Z"
+RESTRICT="mirror"
+
+LICENSE="Lexmark-EU2-0111"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=""
+RDEPEND="
+ >=net-print/cups-1.4
+ net-dns/avahi
+"
+BDEPEND=""
+
+# TODO: add IUSE for foomatic and install those files too
+
+S="${WORKDIR}"/ppd_files
+
+QA_FLAGS_IGNORED="usr/libexec/cups/filter/LexCommandFileFilterG2"
+
+src_prepare() {
+ default
+ sed -i 's:/usr/lib/cups/filter/:/usr/libexec/cups/filter/:g' GlobalPPD_1.4/Lexmark_UPD_Series.ppd || die "Unable to patch hard coded PPD paths"
+}
+
+src_install() {
+ local filterdir
+ if use amd64; then filterdir="lib64";
+ elif use x86; then filterdir="lib";
+ else die "No filter for architecture"; fi
+
+ insinto /usr/share/cups/model
+ exeinto /usr/libexec/cups/filter
+
+ doins "${S}"/GlobalPPD_1.4/Lexmark_UPD_Series.ppd
+ doexe "${S}"/GlobalPPD_1.4/$filterdir/LexCommandFileFilterG2
+ doexe "${S}"/GlobalPPD_1.4/LexFaxPnHFilter
+}